# FoundationClasses
TKernel
TColStd

# TColStd_HArray2OfCharacter Class Reference

`#include <TColStd_HArray2OfCharacter.hxx>`

Inheritance diagram for TColStd_HArray2OfCharacter:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HArray2OfCharacter (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | TColStd_HArray2OfCharacter (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Standard_Character &V)
Standard_EXPORT void | Init (const Standard_Character &V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_Character &Value)
Standard_EXPORT const Standard_Character & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_EXPORT Standard_Character & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const TColStd_Array2OfCharacter & | Array2 () const
TColStd_Array2OfCharacter & | ChangeArray2 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_Array2OfCharacter | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HArray2OfCharacter::TColStd_HArray2OfCharacter | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT TColStd_HArray2OfCharacter::TColStd_HArray2OfCharacter | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Standard_Character & | V
| ) |

## Member Function Documentation

const TColStd_Array2OfCharacter& TColStd_HArray2OfCharacter::Array2 | ( |  | ) | const

TColStd_Array2OfCharacter& TColStd_HArray2OfCharacter::ChangeArray2 | ( |  | ) |

Standard_EXPORT Standard_Character& TColStd_HArray2OfCharacter::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer TColStd_HArray2OfCharacter::ColLength | ( |  | ) | const

Standard_EXPORT const TColStd_HArray2OfCharacter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HArray2OfCharacter::Init | ( | const Standard_Character & | V | ) |

Standard_Integer TColStd_HArray2OfCharacter::LowerCol | ( |  | ) | const

Standard_Integer TColStd_HArray2OfCharacter::LowerRow | ( |  | ) | const

Standard_Integer TColStd_HArray2OfCharacter::RowLength | ( |  | ) | const

void TColStd_HArray2OfCharacter::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Character & | Value
| ) |

Standard_Integer TColStd_HArray2OfCharacter::UpperCol | ( |  | ) | const

Standard_Integer TColStd_HArray2OfCharacter::UpperRow | ( |  | ) | const

Standard_EXPORT const Standard_Character& TColStd_HArray2OfCharacter::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

TColStd_Array2OfCharacter TColStd_HArray2OfCharacter::myArray `[private]`

The documentation for this class was generated from the following file:

- TColStd_HArray2OfCharacter.hxx